@echo off
if "%1"=="a" goto start
if "%1"=="A" goto start
if "%1"=="b" goto start
if "%1"=="B" goto start
echo.
echo This copy process needs 3 blank, formatted 3 1/2" high-density disks.
echo.
echo The syntax for copying is:
echo %0 A   - to copy to drive A
echo %0 B   - to copy to drive B
echo.
goto exit
:start
echo.
echo This copy process needs 3 blank, formatted 3 1/2" high-density disks.
echo.
echo Insert a blank, formatted high-density disk in %1:
echo If you want to cancel this process, press Ctrl-C now.
pause
echo Copying files to Disk 1
xcopy ..\clipart\39*.pcx %1:\clipart\
xcopy ..\clipart\139*.lst %1:\clipart\
xcopy ..\crosword\*.exe %1:\crosword\
xcopy ..\crosword\batterup.cwd %1:\crosword\
xcopy ..\crosword\majors.cwd %1:\crosword\
xcopy ..\trivnow\*.exe %1:\trivnow\
xcopy ..\trivnow\viet1_?.trv %1:\trivnow\
xcopy articles\*.* %1:\sdpc139\articles\
xcopy trvmania\*.* %1:\sdpc139\trvmania\
xcopy *.shl %1:\sdpc139\
xcopy copy139.bat %1:\sdpc139\
xcopy ..\go.exe %1:\
xcopy ..\vgashell.exe %1:\
xcopy ..\isstable.dat %1:\
xcopy ..\*.bat %1:\
echo.
echo Insert a blank, formatted high-density disk in %1:
echo If you want to cancel this process, press Ctrl-C now.
pause
echo Copying files to Disk 2
xcopy klonpro\*.* %1:\sdpc139\klonpro\
xcopy wordmax\*.* %1:\sdpc139\wordmax\
xcopy m*.shl %1:\sdpc139\
xcopy ..\go.exe %1:\
echo.
echo Insert a blank, formatted high-density disk in %1:
echo If you want to cancel this process, press Ctrl-C now.
pause
echo Copying files to Disk 3
xcopy regatta\*.* %1:\sdpc139\regatta\
xcopy denomino\*.* %1:\sdpc139\denomino\
xcopy m*.shl %1:\sdpc139\
xcopy ..\go.exe %1:\
echo.
echo Finished copying SDPC VGA #139 to %1:
echo.
:exit

